apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2023-04-29T12:23:24Z"
  generation: 8
  labels:
    kops.k8s.io/cluster: k8s-prod.datasaker.io
  name: k8s-prod-data-druid-small
spec:
  image: ami-0409b7ddbc59e3222
  instanceMetadata:
    httpTokens: required
  kubelet:
    anonymousAuth: false
    nodeLabels:
      node-role.kubernetes.io/node: ""
  machineType: m6i.xlarge
  manager: CloudGroup
  maxSize: 1
  minSize: 1
  nodeLabels:
    datasaker/druid-size: small
    datasaker/group: data-druid
    kops.k8s.io/instancegroup: k8s-prod-data-druid-small
  role: Node
  subnets:
  - ap-northeast-2c
  taints:
  - prod/data-druid:NoSchedule
